> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/cost-management-agent-apis/commitment-orchestrator/utilization-overview.md).

# Utilization Overview

## POST /accounts/{accountId}/v2/utilisation/overview

> Get Utilization Overview

```json
{"openapi":"3.0.1","info":{"title":"Commitment Orchestrator APIs","version":"1.0.0"},"tags":[],"servers":[{"url":"https://app.harness.io/gateway","description":"Production server"}],"paths":{"/accounts/{accountId}/v2/utilisation/overview":{"post":{"tags":["Utilization Overview"],"summary":"Get Utilization Overview","parameters":[{"in":"path","name":"accountId","required":true,"schema":{"type":"string"},"description":"The unique identifier of the account"},{"in":"query","name":"routingId","required":true,"schema":{"type":"string"},"description":"The routing ID for the account"},{"in":"query","name":"start_date","required":true,"schema":{"type":"string","format":"date"},"description":"The start date for the utilization data"},{"in":"query","name":"end_date","required":true,"schema":{"type":"string","format":"date"},"description":"The end date for the utilization data"},{"in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"},"description":"The identifier of the account for context"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"service":{"type":"string","enum":["Amazon Relational Database Service","Amazon Elastic Compute Cloud - Compute","VirtualMachines"],"default":"Amazon Elastic Compute Cloud - Compute","description":"Service to fetch the details for. VirtualMachines returns Azure reservation and savings plan utilization."}}}}}},"responses":{"200":{"description":"Successful response with utilization overview","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UtilizationOverviewResponse"}}}},"400":{"description":"Invalid request parameters"}}}}},"components":{"schemas":{"UtilizationOverviewResponse":{"type":"object","properties":{"ts":{"type":"integer","format":"int64","description":"Timestamp of the response"},"success":{"type":"boolean","description":"Indicates if the request was successful"},"errors":{"type":"object","nullable":true,"description":"Error details, if any"},"response":{"type":"object","properties":{"overall_percentage":{"type":"number","format":"float","description":"Overall utilization percentage"},"overall_managed_percentage":{"type":"number","format":"float","description":"Managed utilization percentage"},"overall_unmanaged_percentage":{"type":"number","format":"float","description":"Unmanaged utilization percentage"},"reservations":{"$ref":"#/components/schemas/ReservationsData"},"savings_plans":{"$ref":"#/components/schemas/SavingsPlansData"}}}}},"ReservationsData":{"type":"object","properties":{"percentage":{"type":"number","format":"float","description":"Reservation utilization percentage"},"managed":{"type":"object","properties":{"utilization_percentage":{"type":"number","format":"float","description":"Managed reservation utilization percentage"}}},"unmanaged":{"type":"object","properties":{"utilization_percentage":{"type":"number","format":"float","description":"Unmanaged reservation utilization percentage"}}}}},"SavingsPlansData":{"type":"object","properties":{"percentage":{"type":"number","format":"float","description":"Savings plans utilization percentage"},"managed":{"type":"object","properties":{"utilization_percentage":{"type":"number","format":"float","description":"Managed savings plans utilization percentage"}}},"unmanaged":{"type":"object","properties":{"utilization_percentage":{"type":"number","format":"float","description":"Unmanaged savings plans utilization percentage"}}}}}}}}
```
